TARGET=libtarget.a
LIB_FILES=libdl.a libfl.a

LIBS_DIR:=../bins
TEMP_DIR:=../temp
TEMP_OBJS:=

TARGET:=${LIBS_DIR}/${TARGET}


all: ${LIB_FILES}
	cd ${TEMP_DIR}; \
	ls > ${TEMP_OBJS}; \
	ar -cru ${TARGET} ${TEMP_OBJS}

%.a:
	@echo processing '$@'...
	cd ${TEMP_DIR}; \
	ar x ${LIBS_DIR}/$@

cleanup:
	cd ${TEMP_DIR}; \
	rm -f *.o

